# Class CIM_ExecuteProgram
extends CIM_Action

ExecuteProgram causes programs to be executed on the computer system that defines the Action's environment.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Action
|
+--CIM_ExecuteProgram

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | ExecuteProgram causes programs to be executed on the computer system that defines the Action's environment.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CommandLine | string |
Description | string | A string that can be executed and invokes program(s), from a system's command line.
ProgramPath | string |
Description | string | The location or 'path' where the program is found.
MaxLen | uint32 | 1024

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ActionID | string | CIM_Action
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
Direction | uint16 | CIM_Action
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Action
SoftwareElementID | string | CIM_Action
SoftwareElementState | uint16 | CIM_Action
TargetOperatingSystem | uint16 | CIM_Action
Version | string | CIM_Action

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Action
InvokeOnSystem | uint32 | CIM_Action